TUGU PRATAMA INDONESIA (TPI) - Feature #1991

[HR-EMPLOYEE MOVEMENT] Menu employee movement tidak bisa mengambil generateid
berdasarkan tipe employee type

02/07/2023 11:17 AM - Muhammad Bintar

Status: Closed Start date: 02/07/2023
Priority: Normal Due date: 02/13/2023
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.50 hours
Description

dear tim developer mohon support nya untuk perbaikan pada menu employee movement dimana pada saat mennginput employee ,
untuk generateid nya tidak sesuai berdasarkan employee type.

referensi dari redmine ini

http:/remote.minovais.com:3000/redmine/issues/1945

remote.minovais.com:61113

database sql server 2019
remote.minovais.com, 1445

50LCuery1.5ql - not connected SOLCuery? sgl - not connected

Alias Table Outp... Sort Type Sort Order Filter Or.. Or.. Or. -’
oy [ ' PCMEPE...
EndDate ' PCMEPE..
EmployeeType PCMEPE...
EmployeeTyp... PCMEPE...
CreateDate PCMEPE...
ChangeBy PCMEPE... |

SELECT  TOP (200) StartDate, EndDate, EmployeeType, EmployeeTypeDescription, CreateDate, ChangeBy, ChangeDate, TaxTreatrment, LastlD

FROM PCMEPEMPTYP
StartDate EndDate EmployeeType EmployeeType.. CreateDate ChangeBy ChangeDate Tax Treatment LastID
20160101 09991231 0 Permanent 200160101010707  ali 20230126120520 0 00000249
20160101 09991231 02 Probation 20160101010707 ali 20230126120520 0 00000849
20160101 99991231 03 Trainee 20160101010101__ ali 20230126115653 0 |
20160101 09991231 04 Contract 200160101010707  ali 20230126120247 0 70000470
U TEUTUT RN RS ua Thrector SUTOUTUTUTUTOT all SUZSUTER 00 0 CUUUUTUS

4 20160101 99991231 06 Commissioner  20160101010101  ali 20230126120111 O 90000037
20160101 09991231 o7 Outsource 20160101010707 ali 20230126120157 0 60000081
20160101 00001231 08 Internship 200160101010107 ali 20230126120224 0 50000021
20160101 09991231 09 Contract Khusus  20160101010101  ali 20230126120247 0 70000470

W NULL NULL NULL NULL NULL NULL NULL NULL NULL
& > A Notsecure | remoteminovais.com:61113/Page/runwizards?cLwSxCWvGKVA+nDAW3Bz6F9axL EWyMnrulUQx+1/0c8iGBBO7Y7Uhg== Q =2 % #» 0O

EIMINOVAIS

MinovaES Menu

Personal Data 2 Assignment 2 Payroll Basic Data 4 Regular Payroll
» [ My Workplace

» 3 Business Intelligence
~ = Human Resource
~ [= HR Administration B Movement Information
» [ Organization Man_

= [= Employee Admini. Menu Action: Hiring Effective Date 07/02/2023

o Employee Mo. Movement Reason Budgeted Employee ID: MULYANTC ISNAENI

] Employes Ma Employee Type Contract

¢ Upload Phots
7 Uploa oo Company |D: PT Asuransi Tugu Pratama Indonesia Tbk

(%) Import Emplo.
U lmp P Payroll Group: Payroll Permanent & Contract

(3) Export Emplo. ..

17 Delete Emplo._
Personal Data
(%) Mass File Import

Start Date: Nationality:

» [ Employee Re... 07/02/2023 INDONESIA

(3 Time Management End Date: 34/12/9099 Ethnic

73 Benefit Adminisira
Full Name: Religion

1 Payroll Administra.

[ Payroll Accounting Nick Name Marital Status

History

#1 - 02/08/2023 01:52 PM - M Azid Wahyudi

- File clipboard-202302081344-zalof.png added

- File Package Employee Movement TPI.rar added

- Status changed from New to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya

Minova ES | Employes Movemer X Minova ES | Empl

< (] remote.minovais.com:

SIMINOVAIS

MinovaES Menu

Employee Movement
» [ My Workplace Home Wizard

» [ Business Intlligence

Employee Movement
~ [= Human Resource
1 Personal Data 2 Assi

~ [= HR Administration nment 3 Payroll Basic Data 4 Regular Payroll

» [ Organization Manag
~ = Employee Administra

£] Employee Move.
8 Movement Information
£] Employee Maste

&> Upload Photo
Menu Action Hiring Effective Date: 0810212023
@® Import Employee.
Movement Reason Employee ID 00000850
© Export Employee.

Employee Type: Probation

1] Delete Employee. plovee b
Company ID: i i

® Mass File Import pany PT Asuransi Tugu Pratama Indonesia Tbk
Payroll Group: Payroll Permanent & Contract

» [ Employee Report
[ Time Management

Personal Data

[ Bensfit Administration

[ Payroll Administration

Start Date: 0810272023 2] Nationality INDONESIA -
[ Payroll Accounting
End Date: Ethnic:
[ Travel Management 311219999 =
» [ Recruitment Manage. Full Name: Religion” .
» [ Survey Management Nick Name: Marital Status: :l °
» [ HR Strategic
External ID: Marital Status Since: =
» [ Menu Development
» [ System Administration First Tite: - Number Of Children
Last Title: - Picture: Q

package :

- SP : GENEMPID

- custparam : GENEMPID

- Ul (C:\ClientManagement\TPI\Production\01 UNapp\controller\wizard) : wizard.js
makasih

#2 - 10/21/2024 10:39 AM - Muhammad Bintar
- Status changed from QA Test to Closed

Files

clipboard-202302071116-tj37y.png
clipboard-202302071116-mi77y.png
employee generate di TPl.mp4
clipboard-202302081344-zalof.png
Package Employee Movement TPl.rar
